%define version 0.9.10
%define release 1mdk

%define major	8
%define libname	%mklibname ksba %{major}

Name:		libksba
Version:	%{version}
Release:	%{release}
Summary:	Library handling X.509 certificates and CMS data
Source0:	ftp://ftp.gnupg.org/gcrypt/alpha/%{name}/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.gnupg.org/gcrypt/alpha/%{name}/%{name}-%{version}.tar.gz.sig
Patch0:		libksba-0.9.6-automake18.patch.bz2
Patch1:		libksba-0.9.8-parallel.patch.bz2
License:	GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
URL:		http://www.gnupg.org/
BuildRequires:	libgpg-error-devel >= 0.7
BuildRequires:	automake1.7

%description
KSBA is a library designed to build software based
on the X.509 and CMS protocols.

%package	-n %{libname}
Summary:	Library handling X.509 certificates and CMS data
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description	-n %{libname}
KSBA is a library designed to build software based
on the X.509 and CMS protocols.

%package	-n %{libname}-devel
Summary:	Development files for %{name} package
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libname}-devel
KSBA is a library designed to build software based
on the X.509 and CMS protocols.
This package contains files needed to develop
applications using %{name} (For example Ägypten project).

%prep
%setup -q
%patch0 -p1 -b .automake18
%patch1 -p1 -b .parallel

AUTOMAKE=automake-1.7 ACLOCAL=aclocal-1.7 autoreconf --force

%build
%configure2_5x
%make
make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel
%_install_info %{name}.info

%postun -n %{libname}-devel
%_remove_install_info %{name}.info

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog README THANKS TODO
%{_bindir}/*
%{_datadir}/aclocal/*
%{_includedir}/*.h
%{_infodir}/*.info*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Sun Dec 26 2004 Abel Cheung <deaddog@mandrakesoft.com> 0.9.10-1mdk
- New release 0.9.10

* Thu Aug 19 2004 Abel Cheung <deaddog@deaddog.org> 0.9.8-1mdk
- New version
- P1: Fix parallel build

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 0.9.6-1mdk
- New version
- Patch0: automake 1.8 compatibility

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.9.1-1mdk
- New version

* Wed Dec 10 2003 Abel Cheung <deaddog@deaddog.org> 0.9.0-1mdk
- New version
- Use official tar.gz instead, for proving legitimacy

* Tue Oct 14 2003 Abel Cheung <deaddog@deaddog.org> 0.4.7-1mdk
- 0.4.7
- make check

* Fri Sep 05 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.4.6-3mdk
- proper lib policy
- doc files

* Thu Jul 31 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.4.6-2mdk
- rebuild
- macroize
- bzip2 source

* Wed Dec 11 2002 Fabrice MARIE <fabrice-marie-sec@ifrance.com> 0.4.6-1mdk
- update to version 0.4.6

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.5-1mdk
- First package
